# $Revision: 1.27 $, $Date: 2004/12/03 14:12:33 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Spreadsheet
%define		pnam	WriteExcel
Summary:	Spreadsheet::WriteExcel perl module
Summary(cs):	Modul Spreadsheet::WriteExcel pro Perl
Summary(da):	Perlmodul Spreadsheet::WriteExcel
Summary(de):	Spreadsheet::WriteExcel Perl Modul
Summary(es):	Mdulo de Perl Spreadsheet::WriteExcel
Summary(fr):	Module Perl Spreadsheet::WriteExcel
Summary(it):	Modulo di Perl Spreadsheet::WriteExcel
Summary(ja):	Spreadsheet::WriteExcel Perl ⥸塼
Summary(ko):	Spreadsheet::WriteExcel  
Summary(nb):	Perlmodul Spreadsheet::WriteExcel
Summary(pl):	Modu Perla Spreadsheet::WriteExcel
Summary(pt):	Mdulo de Perl Spreadsheet::WriteExcel
Summary(pt_BR):	Mdulo Perl Spreadsheet::WriteExcel
Summary(ru):	  Perl Spreadsheet::WriteExcel
Summary(sv):	Spreadsheet::WriteExcel Perlmodul
Summary(uk):	  Perl Spreadsheet::WriteExcel
Summary(zh_CN):	Spreadsheet::WriteExcel Perl ģ
Name:		perl-Spreadsheet-WriteExcel
Version:	2.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e59bdf2618d9bdd5e805f35cd3f157e7
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-modules >= 5.6.1
BuildRequires:	perl-Parse-RecDescent
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Spreadsheet::WriteExcel module can be used to create a cross-
platform Excel binary file. Multiple worksheets can be added to a
workbook and formatting can be applied to cells. Text, numbers,
formulas, hyperlinks and images can be written to the cells.

The Excel file produced by this module is compatible with Excel 5, 95,
97, 2000 and 2002.

%description -l pl
Modu Spreadsheet::WriteExcel moe by uywany do tworzenia
midzyplatformowych plikw binarnych Excela. Wiele arkuszy moe by
dodanych do jednej ksigi, a w komrkach mona uywa formatowania.
Tekst, liczby, formuy, odnoniki i obrazki mog by wpisywane do
komrek.

Pliki Excela produkowane przez ten modu s kompatybilne z Excelem 5,
95, 97, 2000 i 2002.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv doc html

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/{README,*.pl,*.bmp} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9 $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README html
%{perl_vendorlib}/Spreadsheet/WriteExcel.pm
%dir %{perl_vendorlib}/Spreadsheet/WriteExcel
%{perl_vendorlib}/Spreadsheet/WriteExcel/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/README*
%{_examplesdir}/%{name}-%{version}/*.bmp
%{_examplesdir}/%{name}-%{version}/mo*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/m[^o]*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/[^m]*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Spreadsheet-WriteExcel.spec,v $
Revision 1.27  2004/12/03 14:12:33  radek
- autoupdated to 2.11

Revision 1.26  2004/11/03 22:30:44  paladine
- formatting

Revision 1.25  2004/08/21 20:53:36  adamg
- updated to 2.04

Revision 1.24  2004/08/08 19:38:43  adamg
- updated to 2.03

Revision 1.23  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.22  2004/05/31 08:54:34  adamg
- updated to 2.02

Revision 1.21  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.20  2004/05/02 05:34:23  ankry
- license fix, cosmetics

Revision 1.19  2004/04/28 16:18:51  adamg
- updated to 0.43

Revision 1.18  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.17  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.16  2003/09/18 13:24:27  adamg
- updated to 0.42

Revision 1.15  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:09:13  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:01:02  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/01 20:46:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:38:18  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/01/15 18:32:33  mis
- autoupdated to 0.40

Revision 1.6  2002/12/02 22:08:37  ankry
- pl Summary/description fixes
- adapterized

Revision 1.5  2002/10/05 21:23:15  ankry
- updated to 0.39
- fixed build

Revision 1.4  2002/09/16 08:32:56  ankry
- added translations
- added missing dir
- fix examples permissions, compress README
- release 0.2

Revision 1.3  2002/09/10 21:27:33  qboosh
- pl description

Revision 1.2  2002/09/03 09:12:11  grabba
- changed release from 1 to 0.1 - not tested yet

Revision 1.1  2002/09/03 09:11:10  grabba
- first version
